# CICADA

### File

`src/app/shared/_pipes/safe.pipe.ts`

### Metadata

Name | safe

### Methods

transform
`transform(url: string, ...args: unknown[])`
Defined in src/app/shared/_pipes/safe.pipe.ts:10

Parameters :

Name | Type | Optional
url | `string` | No
args | `unknown[]` | No

Returns : `unknown`

    import { Pipe, PipeTransform } from '@angular/core';
    import { DomSanitizer } from '@angular/platform-browser';

    @Pipe({
      name: 'safe',
    })
    export class SafePipe implements PipeTransform {
      constructor(private sanitizer: DomSanitizer) {}

      transform(url: string, ...args: unknown[]): unknown {
        return this.sanitizer.bypassSecurityTrustResourceUrl(url);
      }
    }

# result-matching ""

# No results matching ""